{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.enchanter.general": {
      "initial_state": "default",
      "states": {
        "casting": {
          "animations": [
            "look_at_target",
            "casting"
          ],
          "particle_effects": [
            {
              "effect": "spell",
              "locator": "spell"
            },
            {
              "effect": "spell",
              "locator": "spell2"
            }
          ],
          "transitions": [
            {
              "default": "!query.is_casting"
            }
          ]
        },
        "celebrating": {
          "animations": [
            "celebrating"
          ],
          "blend_transition": 0.2,
          "blend_via_shortest_path": true,
          "transitions": [
            {
              "default": "!query.is_celebrating"
            }
          ]
        },
        "admire": {
          "animations": [
            "admire"
          ],
          "blend_transition": 0.2,
          "blend_via_shortest_path": true,
          "transitions": [
            {
              "default": "!query.is_admiring"
            }
          ]
        },
        "default": {
          "animations": [
            "look_at_target",
            "general"
          ],
          "blend_transition": 0.2,
          "blend_via_shortest_path": true,
          "transitions": [
            {
              "casting": "query.is_casting"
            },
            {
              "celebrating": "query.is_celebrating"
            },
            {
              "admire": "query.is_admiring"
            }
          ]
        }
      }
    },
    "controller.animation.enchanter.general.v1.0": {
      "initial_state": "default",
      "states": {
        "casting": {
          "animations": [
            "look_at_target",
            "casting"
          ],
          "particle_effects": [
            {
              "effect": "spell",
              "locator": "spell"
            },
            {
              "effect": "spell",
              "locator": "spell2"
            }
          ],
          "transitions": [
            {
              "default": "!query.is_casting"
            }
          ]
        },
        "default": {
          "animations": [
            "look_at_target",
            "general"
          ],
          "transitions": [
            {
              "casting": "query.is_casting"
            }
          ]
        }
      }
    }
  }
}